Discover Government News



# Security update for python-Django

Announcement ID: SUSE-SU-2024:0902-1  
Rating: important  
References:

  * bsc#1220358

  
Cross-References:

  * CVE-2024-27351

  
CVSS scores:

  * CVE-2024-27351 ( SUSE ):  7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

  
Affected Products:

  * openSUSE Leap 15.5

  
  
An update that solves one vulnerability can now be installed.

## Description:

This update for python-Django fixes the following issues:

  * CVE-2024-27351: Fixed a regular expression DoS in
    django.utils.text.Truncator.words (bsc#1220358)

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.5  
    zypper in -t patch openSUSE-SLE-15.5-2024-902=1

## Package List:

  * openSUSE Leap 15.5 (noarch)
    * python3-Django-2.0.7-150000.1.17.1

## References:

  * https://www.suse.com/security/cve/CVE-2024-27351.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1220358

SUSE: 2024:0902-1 important: python-Django

March 14, 2024
* bsc#1220358 Cross-References: * CVE-2024-27351

Summary

## This update for python-Django fixes the following issues: * CVE-2024-27351: Fixed a regular expression DoS in django.utils.text.Truncator.words (bsc#1220358) ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.5 zypper in -t patch openSUSE-SLE-15.5-2024-902=1 ## Package List: * openSUSE Leap 15.5 (noarch) * python3-Django-2.0.7-150000.1.17.1

References

* bsc#1220358

Cross-

* CVE-2024-27351

CVSS scores:

* CVE-2024-27351 ( SUSE ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:

* openSUSE Leap 15.5

An update that solves one vulnerability can now be installed.

##

* https://www.suse.com/security/cve/CVE-2024-27351.html

* https://bugzilla.suse.com/show_bug.cgi?id=1220358

Severity
Announcement ID: SUSE-SU-2024:0902-1
Rating: important

Related News